*{
    box-sizing: border-box;
}
body{
    background-color: lightgrey;
}
#grid-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-auto-rows: 100px;
    gap: 10px;
}
.box{
    background-color: rgb(0, 0, 0);
    border: 1px solid white;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}